

// === Recupere les donnes de scikar


function EASY_CAPA()

	global Vgs;
	global Cgs;
	global Vgd;
	global Cgd;
	

 path=tk_getfile("*.mes",title="Open a MES file")  ;
 if path~="" then,
	data=MES_load_file(path) ;
	mes_capas=MES_select_capa(data);
	if mes_capas~=[] then,
	

	
	Vgs=mes_capas(:,1);
	Vgd=mes_capas(:,3);
	Cgs=mes_capas(:,2)*10^(15);
	Cgd=mes_capas(:,4)*10^(15);
	
	
	Vgs_=linspace(min(Vgs)-(max(Vgs)-min(Vgs))/10,max(Vgs)+(max(Vgs)-min(Vgs))/10,200).';
	Vgd_=linspace(min(Vgd)-(max(Vgd)-min(Vgd))/10,max(Vgd)+(max(Vgd)-min(Vgd))/10,200).';
	


// Initialisation des parametres du modele

	X_Cgs=CAPA_model_init_value(Vgs,Cgs);
	X_Cgd=CAPA_model_init_value(Vgd,Cgd);


// Affichage...



	xbasc();
	
	xname('Cgs & Cgd');
		
	// Cgs : GFX
	xsetech([0,0,1/2,1]);
	
	fig=get("current_figure");
	fig.children(1).title.font_size=3;	
	fig.children(1).axes_visible="on"; // makes the axes visible
	fig.children(1).font_size=2; //set the tics label font size
	fig.children(1).sub_tics=[0,1];//dfinit le nombre de subdivision sur les axes.
	fig.children(1).labels_font_color=1;//fixe la couleur des nombres sur les axes
	fig.children(1).grid=[1,1];//fixe la couleur des grilles.
	fig.children(1).box="on";//enlve le cadre sur les axes.
	fig.children(1).isoview="off";
	fig.children(1).thickness=2;

	
	
	plot2d(Vgs,Cgs,-5);
	plot2d(Vgs_,CAPA_model(Vgs_,X_Cgs),5);
	xtitle( 'Cgs (fF)');

	// Cgd : GFX
	xsetech([1/2,0,1/2,1]);
	
	fig=get("current_figure");

	fig.children(1).title.font_size=3;	
	fig.children(1).axes_visible="on"; // makes the axes visible
	fig.children(1).font_size=2; //set the tics label font size
	fig.children(1).sub_tics=[0,1];//dfinit le nombre de subdivision sur les axes.
	fig.children(1).labels_font_color=1;//fixe la couleur des nombres sur les axes
	fig.children(1).grid=[1,1];//fixe la couleur des grilles.
	fig.children(1).box="on";//enlve le cadre sur les axes.
	fig.children(1).isoview="off";
	fig.children(1).thickness=2;
	
	
	
	plot2d(Vgd,Cgd,-5);
	plot2d(Vgd_,CAPA_model(Vgd_,X_Cgd),5);
	xtitle( 'Cgd (fF)');
	
		
	




// Ouvre le GUI
	TCL_EvalFile(SCI+"/contrib/Easy_Capa/routines/capa_gui.tcl");


// Mise  jour des sliders
	CAPA_TK_setvalue("cgs",X_Cgs);
	CAPA_TK_setvalue("cgd",X_Cgd);	
	X_Cgs=CAPA_TK_getvalue("cgs");
	X_Cgd=CAPA_TK_getvalue("cgd");	

end;
end;
endfunction


// ###################################################################

